$!-----------------------------------------------------------------------------
$! STARTUP.COM
$!
$! Example WASD HTTPd server startup procedure.
$! This may do most of what is needed for a "vanilla" installation.
$! Use it as such or just as a template.
$! The first section contains some booleans that can be modified.
$!
$! 07-FEB-98  MGD  modified for v5.0
$! ??-???-??  MGD  long unrecorded pre-history :^)
$!-----------------------------------------------------------------------------
$!
$!(change to 1 to use NETLIB, otherwise it defaults to UCX)
$ USE_NETLIB = 0
$!
$!(change to 1 to use SSL image, otherwise it defaults to standard)
$ PROVIDE_SSL = 0
$ SSL_SERVER_CERTIFICATE = "HT_ROOT:[EXAMPLE]HTTPD.PEM"
$!
$!(change to 1 to start the DECnet/OSU scripting)
$ PROVIDE_OSU = 0
$!
$! ---------------------
$! DEFINE WEB LOGICAL(S)
$! ---------------------
$!
$!(it is recommended to provide a physically distinct area for Web documents)
$!>>>>>$ DEFINE /SYSTEM /TRANSLATION=CONCEALED WEB device:[directory.]
$!
$! -------------------------
$! START NETLIB IF NECESSARY
$! -------------------------
$!
$ IF USE_NETLIB .AND. F$TRNLNM("NETLIB_SHRXFR") .EQS. "" -
     THEN @SYS$STARTUP:NETLIB_STARTUP.COM
$!
$! ---------------------
$! DEFINE HTTPd LOGICALS
$! ---------------------
$!
$ DEFINE /SYSTEM /TRANSLATION=CONCEALED HT_ROOT DSA811:[HT_ROOT.]
$!
$ SCRIPT_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SCRIPT.]"
$ DEFINE /SYSTEM HT_SCRIPT HT_ROOT:[SCRIPT]
$ SCRIPT_LOCAL_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SCRIPT_LOCAL.]"
$ DEFINE /SYSTEM HT_SCRIPT_LOCAL HT_ROOT:[SCRIPT_LOCAL]
$ JAVA_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".JAVA.]"
$ DEFINE /SYSTEM HT_JAVA HT_ROOT:[JAVA]
$!
$ IF F$GETSYI("ARCH_NAME") .EQS. "VAX"
$ THEN
$    EXE_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".VAX.]"
$    DEFINE /SYSTEM /TRANSLATION=(CONCEALED) HT_EXE_ROOT 'EXE_ROOT'
$    DEFINE /SYSTEM HT_EXE HT_EXE_ROOT:[000000]
$ ELSE
$    EXE_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".AXP.]"
$    DEFINE /SYSTEM /TRANSLATION=(CONCEALED) HT_EXE_ROOT 'EXE_ROOT'
$    DEFINE /SYSTEM HT_EXE HT_EXE_ROOT:[000000]
$ ENDIF
$ DEFINE /SYSTEM HT_AXP HT_ROOT:[AXP]
$ DEFINE /SYSTEM HT_VAX HT_ROOT:[VAX]
$!
$ DEFINE /SYSTEM /TRANSLATION=(CONCEALED) -
         CGI-BIN 'EXE_ROOT','SCRIPT_LOCAL_ROOT','SCRIPT_ROOT','JAVA_ROOT'
$!
$ DEFINE /SYSTEM HT_AUTH HT_ROOT:[LOCAL]
$ DEFINE /SYSTEM HT_LOCAL HT_ROOT:[LOCAL]
$ DEFINE /SYSTEM HT_LOGS HT_ROOT:[LOG]
$ DEFINE /SYSTEM HT_SERVER_LOGS HT_ROOT:[LOG.SERVER]
$!
$ DEFINE /SYSTEM HTTPD$AUTH HT_ROOT:[LOCAL]HTTPD$AUTH.CONF
$ DEFINE /SYSTEM HTTPD$CONFIG HT_ROOT:[LOCAL]HTTPD$CONFIG.CONF
$ DEFINE /SYSTEM HTTPD$MAP HT_ROOT:[LOCAL]HTTPD$MAP.CONF
$ DEFINE /SYSTEM HTTPD$MSG HT_ROOT:[LOCAL]HTTPD$MSG.CONF
$ DEFINE /SYSTEM HTTPD$GMT "+10:30"
$!
$! ----------------
$! SSL REQUIREMENTS
$! ----------------
$!
$ IF PROVIDE_SSL
$ THEN
$    DEFINE /SYSTEM HTTPD$SSL_CERT 'SSL_SERVER_CERTIFICATE'
$ ENDIF
$!
$! ---------------
$! OSU ENVIRONMENT
$! ---------------
$!
$ IF PROVIDE_OSU
$ THEN
$!
$!   (ensure netserver.log files can be created in the HTTPd server directory)
$    SET SECURITY HT_ROOT:[000000]HTTP$SERVER.DIR -
         /ACL=((IDENT=HTTP$SERVER,ACCESS=R+W+E, OPTIONS=DEFAULT), -
               (IDENT=HTTP$SERVER,ACCESS=R+W+E), -
               (IDENT=*,ACCESS=NONE, OPTIONS=DEFAULT), -
               (IDENT=*,ACCESS=NONE))
$!
$    DIR = F$PARSE(F$ENVIRONMENT("PROCEDURE"),,,"DEVICE") +-
           F$PARSE(F$ENVIRONMENT("PROCEDURE"),,,"DIRECTORY")
$    @'DIR'STARTUP_OSU
$!
$ ENDIF
$!
$! -----------------------
$! ENSURE HTTPd LOG ACCESS
$! -----------------------
$!
$ SET SECURITY HT_ROOT:[LOG]SERVER.DIR -
      /ACL=((IDENT=HTTP$SERVER,ACCESS=R+W+E, OPTIONS=DEFAULT), -
            (IDENT=HTTP$SERVER,ACCESS=R+W+E), -
            (IDENT=*,ACCESS=NONE, OPTIONS=DEFAULT), -
            (IDENT=*,ACCESS=NONE))
$!
$! ------------------------
$! INSTALL PRIVILEGED IMAGE
$! ------------------------
$!
$ HTTPD_EXE = "HT_EXE:HTTPD"
$ IF PROVIDE_SSL THEN HTTPD_EXE = HTTPD_EXE + "_SSL"
$ IF USE_NETLIB THEN HTTPD_EXE = HTTPD_EXE + "_NETLIB"
$ HTTPD_EXE = HTTPD_EXE + ".EXE"
$!
$ DEFINE /SYSTEM /EXEC HTTPD$EXE 'HTTPD_EXE'
$!
$ SET SECURITY 'HTTPD_EXE' -
      /ACL=((IDENT=HTTP$SERVER,ACCESS=R+E),(IDENT=*,ACCESS=NONE))
$ INSTALL = "$SYS$SYSTEM:INSTALL/COMMAND_MODE"
$ INSTALL ADD 'HTTPD_EXE' -
          /PRIVILEGE=(ALTPRI,SYSPRV,SYSNAM,PRMMBX,PSWAPM)
$ ENDIF
$!
$! ------------------
$! START HTTPd SERVER
$! ------------------
$!
$ SUBMIT /QUEUE=SYS$BATCH /USER=HTTP$SERVER /NOLOG /NOPRINT -
         HT_ROOT:[HTTP$SERVER]HTTPD_BATCH.COM /PARAM="80"
$!
$!-----------------------------------------------------------------------------
