$!-----------------------------------------------------------------------------
$! BUILD_HTTPD.COM
$!
$! P1 ... P3 "UCX" or "NETLIB" to specify IP
$! P1 ... P3 "SSL" to build with SSL (SSLeay)
$! P1 ... P3 "LINK" to link only
$! P1 ... P3 "DBUG" compiles with debug statements
$!
$! 07-JAN-98  MGD  HTTPd version 5
$!                 added SSL (SSLeay) build support
$!                 removed optimization, seemed to be inducing problems
$! 07-SEP-97  MGD  modified to support DBUG and to retain NETLIB objects
$! 23-JUL-97  MGD  MultiNet dropped in favour of NETLIB 2.1
$! 01-FEB-97  MGD  HTTPd version 4
$! 06-JAN-96  MGD  build for either UCX or MultiNet
$! 01-DEC-95  MGD  HTTPd version 3
$! 24-MAY-95  MGD  build for AXP systems
$! 20-DEC-94  MGD  multi-threaded server
$! 20-JUN-94  MGD  single-threaded server
$!-----------------------------------------------------------------------------
$!
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB" .OR. P3 .EQS. "NETLIB"
$ THEN
$    IP = "NETLIB"
$    IP_EXE = "_NETLIB"
$    IP_OBJ = "_NETLIB"
$ ELSE
$    IP = "UCX"
$    IP_EXE = ""
$    IP_OBJ = ""
$ ENDIF
$ IF P1 .EQS. "SSL" .OR. P2 .EQS. "SSL" .OR. P3 .EQS. "SSL"
$ THEN
$    SESOLA = "SESOLA"
$    SESOLA_EXE = "_SSL"
$    SESOLA_OBJ = "_SSL"
$    SESOLA_INCLUDED = " with SSL"
$ ELSE
$    SESOLA = ""
$    SESOLA_EXE = ""
$    SESOLA_OBJ = ""
$    SESOLA_INCLUDED = " without SSL"
$ ENDIF
$ IF P1 .EQS. "NODBUG" .OR. P2 .EQS. "NODBUG" .OR. P3 .EQS. "NODBUG"
$ THEN
$    DBUG = ""
$ ELSE
$    DBUG = "DBUG"
$ ENDIF
$!
$ DEFINES = DBUG
$ IF IP .NES. "" THEN DEFINES = DEFINES + ","
$ DEFINES = DEFINES + "IP_" + IP
$ IF SESOLA .NES. "" THEN DEFINES = DEFINES + ","
$ DEFINES = DEFINES + SESOLA
$!
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture" + -
                   ", ""''IP'"" TCP/IP'', ''SESOLA_INCLUDED'."
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    OBJ_DIR = "[.OBJ_VAX]"
$    IF F$SEARCH("OBJ_VAX.DIR") .EQS. "" THEN CREATE /DIR 'OBJ_DIR'
$    IF P1 .EQS. "VAXC" .OR. P2 .EQS. "VAXC" .OR. "P3" .EQS. "VAXC"
$    THEN
$!      (compile using VAXC compiler)
$       CC_OPTIONS = "/VAXC /NOOPTIMIZE /DEF=(''DEFINES') /NODEBUG"
$       LINK_OPTIONS = "[]HTTPD_VAX_VAXC'IP_EXE'.OPT /OPTIONS"
$    ELSE
$!      (compile using DECC compiler)
$       CC_OPTIONS = "/STAND=VAXC /NOOPTIMIZE /DEF=(''DEFINES') /NODEBUG"
$       LINK_OPTIONS = "[]HTTPD_VAX'IP_EXE'.OPT /OPTIONS"
$    ENDIF
$ ELSE
$    OBJ_DIR = "[.OBJ_AXP]"
$    IF F$SEARCH("OBJ_AXP.DIR") .EQS. "" THEN CREATE /DIR 'OBJ_DIR'
$!   (only compile using DECC compiler)
$    CC_OPTIONS = "/STAND=VAXC /NOOPTIMIZE /DEF=(''DEFINES') /NODEBUG"
$    LINK_OPTIONS = "[]HTTPD_AXP'IP_EXE'.OPT /OPTIONS"
$ ENDIF
$!
$ IF P1 .NES. "LINK" .AND. P2 .NES. "LINK" .AND. P3 .NES. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Admin    Admin
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Auth     Auth
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Basic    Basic
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Cache    Cache
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'CGI      CGI
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'CLI      CLI
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Config   Config
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Control  Control
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Dcl      Dcl
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'DECnet      DECnet
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Descr    Descr
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Dir      Dir
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Digest   Digest
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Error    Error
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'File     File
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Graph    Graph
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'HTAdmin  HTAdmin
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'HTTPd    HTTPd
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'IsMap    IsMap
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Logging  Logging
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'MapUrl   MapUrl
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'MD5      MD5
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Menu     Menu
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Msg      Msg
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Net'IP_OBJ'      Net
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Put      Put
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Request  Request
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'SSI      SSI
$    IF SESOLA .EQS. ""
$    THEN
$       CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'SeSoLa'SESOLA_OBJ' SeSoLa
$    ELSE
$       CC 'CC_OPTIONS' /NOWARN -
           /OBJECT='OBJ_DIR'SeSoLa'SESOLA_OBJ' SeSoLa -
           /INCLUDE=([-.SSLEAY-0_8_1.INCLUDE],[-.SSLEAY-0_8_1.SSL])
$    ENDIF
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'StmLF    StmLF
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Support  Support
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Upd      Upd
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'VM       VM
$!   'F$VERIFY(0)
$ ENDIF
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    SSL_LIBRARY = "[-.SSLEAY-0_8_1.SSL]SSL-VAX.OLB/LIBRARY," +-
                   "[-.SSLEAY-0_8_1.CRYPTO]CRYPTO-VAX.OLB/LIBRARY,"
$ ELSE
$    SSL_LIBRARY = "[-.SSLEAY-0_8_1.SSL]SSL-AXP.OLB/LIBRARY," +-
                   "[-.SSLEAY-0_8_1.CRYPTO]CRYPTO-AXP.OLB/LIBRARY,"
$ ENDIF
$ IF SESOLA .EQS. "" THEN SSL_LIBRARY = ""
$!
$ SET ON
$ SET VERIFY
$!
$ LINK /NOTRACE /EXECUTABLE=HT_EXE:HTTPD'SESOLA_EXE''IP_EXE'.EXE -
  'OBJ_DIR'Admin, -
  'OBJ_DIR'Auth, -
  'OBJ_DIR'Basic, -
  'OBJ_DIR'Cache, -
  'OBJ_DIR'CGI, -
  'OBJ_DIR'CLI, -
  'OBJ_DIR'Config, -
  'OBJ_DIR'Control, -
  'OBJ_DIR'Dcl, -
  'OBJ_DIR'DECnet, -
  'OBJ_DIR'Descr, -
  'OBJ_DIR'Dir, -
  'OBJ_DIR'Digest, -
  'OBJ_DIR'Error, -
  'OBJ_DIR'File, -
  'OBJ_DIR'Graph, -
  'OBJ_DIR'HTAdmin, -
  'OBJ_DIR'HTTPd, -
  'OBJ_DIR'IsMap, -
  'OBJ_DIR'Logging, -
  'OBJ_DIR'MapUrl, -
  'OBJ_DIR'MD5, -
  'OBJ_DIR'Menu, -
  'OBJ_DIR'Msg, -
  'OBJ_DIR'Net'IP_OBJ', -
  'OBJ_DIR'Put, -
  'OBJ_DIR'Request, -
  'OBJ_DIR'SSI, -
  'OBJ_DIR'SeSoLa'SESOLA_OBJ', -
  'OBJ_DIR'StmLF, -
  'OBJ_DIR'Support, -
  'OBJ_DIR'Upd, -
  'OBJ_DIR'VM, -
  'SSL_LIBRARY' -
  'LINK_OPTIONS'
$!
$ PURGE /LOG 'OBJ_DIR' /KEEP=3
$ SET PROTECTION=W:E HT_EXE:HTTPD'SESOLA_EXE''IP_EXE'.EXE;*
$!'F$VERIFY(0)
$!-----------------------------------------------------------------------------
